import Link from "next/link";
import Image from "next/image";

export default function ContactsLink({ src, alt, url, description, url_text }) {
  return (
    <div>
      <Link href={url} target="_blank">
        <div className="p-2 md:text-lg sm:text-md text-xs text-center rounded-sm ring-2 ring-alice-werefox-red-dark dark:ring-alice-werefox-red hover:ring-alice-werefox-blue-dark dark:hover:ring-alice-werefox-blue text-alice-werefox-red-dark dark:text-alice-werefox-red-light hover:text-alice-werefox-blue-dark dark:hover:text-alice-werefox-blue-light hover:animate-yip transition">
          <span className="animate-bounce relative inline-block w-6 h-6 align-middle">
            <Image src={src} layout="fill" objectFit="contain" alt={alt} />
          </span>{" "}
          {description}{" "}
          <div className="animate-wiggle inline-flex" target="_blank">
            {url_text}
          </div>
        </div>
      </Link>
    </div>
  );
}
