import FButton from "./footer-button";
export default function FooterCard({ theme }) {
  if (theme == "Ada") {
    return (
      <footer className="p-4 space-y-2 rounded-lg ring-2 ring-ada-werefox-grey dark:ring-ada-werefox-grey-darker bg-ada-werefox-grey-lightest dark:bg-ada-werefox-grey-dark">
        <div className="flex text-ada-werefox-cyan-darker dark:text-ada-werefox-cyan">
          <div className="flex-1"></div>
          <FButton
            theme="Ada"
            url="https://info.werefox.cafe/contacts"
            inner_text="Contact"
            is_external="_blank"
          />
          <FButton
            theme="Ada"
            url="https://gitea.werefox.cafe/ada/werefox-cafe"
            inner_text=" /src"
            is_external="_blank"
          />
          <div className="flex-1"></div>
        </div>
        <div className="text-center text-xs text-ada-werefox-grey-dark dark:text-ada-werefox-grey-lightest">
          This site uses{" "}
          <div className="inline-block pt-1 pb-1">
            <FButton
              theme="Ada"
              url="https://mutant.tech"
              inner_text="Mutant Standard emoji"
              is_external="_blank"
            />
          </div>
          , which are licensed under a{" "}
          <div className="inline-block pt-1 pb-1">
            <FButton
              theme="Ada"
              url="https://creativecommons.org/licenses/by-nc-sa/4.0/"
              inner_text="Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License"
              is_external="_blank"
            />
          </div>
        </div>
      </footer>
    );
  } 
  if (theme == "Skye") {
    return (
      <footer className="p-4 space-y-2 rounded-lg ring-2 ring-skye-werefox-grey dark:ring-skye-werefox-grey-darker bg-skye-werefox-grey-lightest dark:bg-skye-werefox-grey-dark">
        <div className="flex text-skye-werefox-pink-darker dark:text-skye-werefox-pink">
          <div className="flex-1"></div>
          <FButton
            theme="Skye"
            url="https://info.werefox.cafe/contacts"
            inner_text="Contact"
            is_external="_blank"
          />
          <FButton
            theme="Skye"
            url="https://gitea.werefox.cafe/ada/werefox-cafe"
            inner_text=" /src"
            is_external="_blank"
          />
          <div className="flex-1"></div>
        </div>
        <div className="text-center text-xs text-skye-werefox-grey-dark dark:text-skye-werefox-grey-lightest">
          This site uses{" "}
          <div className="inline-block pt-1 pb-1">
            <FButton
              theme="Skye"
              url="https://mutant.tech"
              inner_text="Mutant Standard emoji"
              is_external="_blank"
            />
          </div>
          , which are licensed under a{" "}
          <div className="inline-block pt-1 pb-1">
            <FButton
              theme="Skye"
              url="https://creativecommons.org/licenses/by-nc-sa/4.0/"
              inner_text="Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License"
              is_external="_blank"
            />
          </div>
        </div>
      </footer>
    );
  } else {
    return (
      <footer className="p-4 space-y-2 rounded-lg ring-2 ring-alice-werefox-grey dark:ring-alice-werefox-grey-darker bg-alice-werefox-grey-lightest dark:bg-alice-werefox-grey-dark">
        <div className="flex text-alice-werefox-red-darker dark:text-alice-werefox-red-light">
          <div className="flex-1"></div>
          <FButton
            url="https://info.werefox.cafe/contacts"
            inner_text="Contact"
            is_external="_blank"
          />
          <FButton
            url="https://gitea.werefox.cafe/ada/werefox-cafe"
            inner_text=" /src"
            is_external="_blank"
          />
          <div className="flex-1"></div>
        </div>
        <div className="text-center text-xs text-alice-werefox-grey-darkest dark:text-alice-werefox-grey-lightest">
          This site uses{" "}
          <div className="inline-block pt-1 pb-1">
            <FButton
              url="https://mutant.tech"
              inner_text="Mutant Standard emoji"
              is_external="_blank"
            />
          </div>
          , which are licensed under a{" "}
          <div className="inline-block pt-1 pb-1">
            <FButton
              url="https://creativecommons.org/licenses/by-nc-sa/4.0/"
              inner_text="Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License"
              is_external="_blank"
            />
          </div>
        </div>
      </footer>
    );
  }
}
