import PCard from "./project-card";
import WCard from "./werefox-card";

export default function ProjectCardBlock({ title, cards }) {
  return (
    <WCard title={title}>
      <ul className="space-y-4">
        {Object.keys(cards).map((card) => (
          <PCard
            key={card}
            title={card}
            new_tab={cards[card].new_tab}
            url={cards[card].url}
            src={cards[card].src}
            alt={cards[card].alt}
            description={cards[card].description}
          />
        ))}
      </ul>
    </WCard>
  );
}
